# Elegant URL Carousel

An elegant WordPress plugin that creates beautiful, customizable carousels to showcase URLs with automatically fetched metadata.

## Features

- **Automatic Metadata Fetching**: Automatically extracts titles, descriptions, and favicons from URLs
- **Customizable Display**: Control the number of visible items, carousel speed, and animation effects
- **Beautiful Card Layouts**: Choose from different card layouts to display your URLs
- **Responsive Design**: Works seamlessly across all devices and screen sizes
- **Custom Styling**: Customize colors and appearance to match your website's theme
- **Cache Management**: Efficient caching system for optimal performance
- **Easy Administration**: User-friendly interface for managing URLs and settings

## Installation

1. Download the plugin zip file
2. Go to WordPress admin panel → Plugins → Add New
3. Click "Upload Plugin" and choose the downloaded zip file
4. Click "Install Now" and then "Activate"

## Usage

### Adding URLs to the Carousel

1. Navigate to the Elegant URL Carousel settings in your WordPress admin panel
2. Click "Add New URL"
3. Enter the URL you want to showcase
4. The plugin will automatically fetch the metadata (title, description, favicon)
5. Optionally customize the title and description
6. Save your changes

### Displaying the Carousel

Use the shortcode `[elegant_url_carousel]` in any post or page where you want the carousel to appear.

### Customization Options

The following settings can be customized under the plugin settings:

- Carousel Speed (default: 3000ms)
- Number of Visible Items (default: 3)
- Primary Color
- Secondary Color
- Animation Effect
- Auto-play Settings
- Card Layout Style
- Cache Duration

## Requirements

- WordPress 5.0 or higher
- PHP 7.2 or higher
- MySQL 5.6 or higher

## Support

For support questions, bug reports, or feature requests, please visit our website at [WizSeller](https://wizseller.com).

## License

This plugin is licensed under the GPL v2 or later.

## Credits

Developed with ❤️ by [Michael J. Hanlon](https://wizseller.com)

## Changelog

### 1.0.0
- Initial release
- Basic carousel functionality
- Automatic metadata fetching
- Customizable settings
- Responsive design implementation
