jQuery(document).ready(function($) {
    // Initialize Swiper
    const initSwiper = function() {
        const settings = eucPublic.settings;
        
        new Swiper('.euc-carousel .swiper', {
            // Responsive breakpoints
            breakpoints: {
                320: {
                    slidesPerView: 1,
                    spaceBetween: 10
                },
                480: {
                    slidesPerView: Math.min(2, settings.visible_items),
                    spaceBetween: 15
                },
                768: {
                    slidesPerView: Math.min(3, settings.visible_items),
                    spaceBetween: 20
                },
                1024: {
                    slidesPerView: parseInt(settings.visible_items),
                    spaceBetween: 30
                }
            },
            
            // Optional parameters
            loop: true,
            speed: 800,
            autoplay: {
                delay: parseInt(settings.carousel_speed),
                disableOnInteraction: false,
                pauseOnMouseEnter: true
            },
            
            // Navigation
            navigation: {
                nextEl: '.swiper-button-next',
                prevEl: '.swiper-button-prev',
            },
            
            // Pagination
            pagination: {
                el: '.swiper-pagination',
                clickable: true
            },
            
            // Accessibility
            a11y: {
                prevSlideMessage: 'Previous slide',
                nextSlideMessage: 'Next slide',
                firstSlideMessage: 'This is the first slide',
                lastSlideMessage: 'This is the last slide',
                paginationBulletMessage: 'Go to slide {{index}}'
            },
            
            // Animation effect
            effect: settings.animation_effect || 'slide',
            
            // Additional effects configuration
            fadeEffect: {
                crossFade: true
            },
            
            // Performance
            observer: true,
            observeParents: true,
            preloadImages: true,
            lazy: {
                loadPrevNext: true,
                loadPrevNextAmount: 2
            }
        });
    };

    // Initialize carousel if it exists on the page
    if ($('.euc-carousel').length) {
        initSwiper();
    }
});
