<?php
if (!defined('ABSPATH')) exit;
?>

<div class="euc-carousel">
    <div class="swiper">
        <div class="swiper-wrapper">
            <?php foreach ($items as $item) : ?>
                <div class="swiper-slide">
                    <div class="euc-card">
                        <div class="euc-content">
                            <h3 class="euc-title">
                                <?php if ($item->favicon_path) : ?>
                                    <img class="euc-inline-favicon" src="<?php echo esc_url($item->favicon_path); ?>" alt="favicon">
                                <?php endif; ?>
                                <a href="<?php echo esc_url($item->url); ?>" target="_blank" rel="noopener noreferrer">
                                    <?php 
                                    $title = $item->title;
                                    if (mb_strlen($title) > 50) {
                                        $title = mb_substr($title, 0, 47) . '...';
                                    }
                                    echo esc_html($title); 
                                    ?>
                                </a>
                            </h3>
                            
                            <?php if ($item->description) : ?>
                                <p class="euc-description">
                                    <?php echo esc_html($item->description); ?>
                                </p>
                            <?php endif; ?>
                        </div>
                    </div>
                </div>
            <?php endforeach; ?>
        </div>
        
        <!-- Navigation -->
        <div class="swiper-button-next"></div>
        <div class="swiper-button-prev"></div>
        
        <!-- Pagination -->
        <div class="swiper-pagination"></div>
    </div>
</div>
